Package org.bedework.synch.wsmessages

# Class GetInfoResponseType

java.lang.Object
org.oasis_open.docs.ws_calendar.ns.soap.BaseResponseType
org.bedework.synch.wsmessages.GetInfoResponseType

public class GetInfoResponseType extends BaseResponseType
Response to message from service requesting information.

Java class for GetInfoResponseType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="GetInfoResponseType">
       <complexContent>
         <extension base="{http://docs.oasis-open.org/ws-calendar/ns/soap}BaseResponseType">
           <sequence>
             <element name="info" type="{http://www.bedework.org/synch/wsmessages}SynchInfoType"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected SynchInfoType`
  `info`

  ### Fields inherited from class org.oasis_open.docs.ws_calendar.ns.soap.BaseResponseType

  `errorResponse, id, message, status`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GetInfoResponseType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `SynchInfoType`
  `getInfo()`
  Gets the value of the info property.
  `void`
  `setInfo(SynchInfoType value)`
  Sets the value of the info property.

  ### Methods inherited from class org.oasis_open.docs.ws_calendar.ns.soap.BaseResponseType

  `getErrorResponse, getId, getMessage, getStatus, setErrorResponse, setId, setMessage, setStatus`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### info

    protected SynchInfoType info

- ## Constructor Details

  - ### GetInfoResponseType

    public GetInfoResponseType()

- ## Method Details

  - ### getInfo

    public SynchInfoType getInfo()
    Gets the value of the info property.
    Returns:
      possible object is `SynchInfoType`

  - ### setInfo

    public void setInfo(SynchInfoType value)
    Sets the value of the info property.
    Parameters:
      `value` - allowed object is `SynchInfoType`